Audio Classification
POST/api/v5/audio/classification
Emotion classification and recognition of audio files
Request
Query Parameters
model stringrequired
Model Name, default is audeering/wav2vec2-large-robust-12-ft-emotion-msp-dim
Header Parameters
Authorization stringrequired
User Personal Token
- multipart/form-data
Body
filebinaryrequired
Audio file (support mp3, wav)
Responses
- 200
Response Headers
- application/json
- Schema
- Example (auto)
- 1
- 2
Schema
- Array [
- ]
vectornumber
Vector representation of audio files
emotion_class object
arousalnumber
Arousal Score (Emotional Activation Level: e.g., Excited/Calm)
dominancenumber
Dominance Score (Emotional Control: e.g., Dominant/Submissive)
valencenumber
Potency Score (Emotional Valence: e.g., Pleasant/Unpleasant)
emotionItems object[]
Emotion Classification Result List (Formatted)
labelstring
Category Name
Example:
Excitement levellabelEnstring
Category Name (English)
Example:
Arousalvaluestring
Numbers
Example:
0.6820112466812134valueDescstring
Numerical Description
Example:
ExcitedvalueDescEnstring
Numerical Description (English)
Example:
slightly excited{
"vector": 0,
"emotion_class": {
"arousal": 0,
"dominance": 0,
"valence": 0
},
"emotionItems": [
{
"label": "Excitement level",
"labelEn": "Arousal",
"value": "0.6820112466812134",
"valueDesc": "Excited",
"valueDescEn": "slightly excited"
}
]
}
Successful Example
{
"vector": null,
"emotion_class": {
"arousal": 0.38037118315696716,
"dominance": 0.4589272439479828,
"valence": 0.5078083276748657
},
"emotion_items": [
{
"label": "Excitement level",
"label_en": "Arousal",
"value": "0.38037118315696716",
"value_desc": "Calmed",
"value_desc_en": "Calm"
},
{
"label": "Emotion Polarity",
"label_en": "Valence",
"value": "0.5078083276748657",
"value_desc": "Neutral",
"value_desc_en": "Neutral"
},
{
"label": "Control sense",
"label_en": "Dominance",
"value": "0.4589272439479828",
"value_desc": "Neutral",
"value_desc_en": "Medium Control"
}
]
}
Successful Example
{
"emotionItems": [
{
"label": "",
"labelEn": "",
"value": "",
"valueDesc": "",
"valueDescEn": ""
}
]
}